%define module Glib

Summary: Perl module for the glib-2.x library
Name:    perl-%module
Version: 1.200
Release: %mkrel 1
License: GPL or Artistic
Group:   Development/GNOME and GTK+
# https://sourceforge.net/project/showfiles.php?group_id=64773&package_id=91217
Source:  http://prdownloads.sourceforge.net/gtk2-perl/%module-%version.tar.bz2
# BUG: we do not hanble exceptions out of Gtk2->main loop
# we should just horribly die in that case
Patch0: Glib-1.021-exception-trapping.patch
URL: http://gtk2-perl.sf.net/
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends >= 0.300 perl-ExtUtils-PkgConfig
Conflicts: perl-Gtk2 <= 1
Requires: glib2 => 2.6.3
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides perl access to Glib and GLib's GObject libraries.
It is mainly used by perl-GTK2 applications.

Glib is a handy library of portability and utility functions. This C library
is designed to solve some portability problems and provide other useful
functionality which most programs require.

GObject provides a generic type system with inheritance and a powerful signal
system.

Together these libraries are used as the foundation for many of the libraries
that make up the Gnome environment, and are used in many unrelated
projects.


%package doc
Summary: Glib documentation
Group: Books/Computer books

%description doc
This package contains documentation of the Glib module.


%prep
%setup -q -n %module-%version
%patch0 -p0 -b .ex
find -type d -name CVS | rm -rf 


%build

perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
# disabled due to long time faillures
#%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS LICENSE
%dir %{perl_vendorarch}/%module/
%{perl_vendorarch}/%{module}.pm
%{perl_vendorarch}/%{module}/*.pm
%{perl_vendorarch}/%{module}/*/*.pm
%{perl_vendorarch}/%{module}/Install
%{perl_vendorarch}/auto/*

%files doc
%defattr(-, root, root)
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{module}
%{perl_vendorarch}/%{module}/*.pod
%{perl_vendorarch}/%{module}/*/*.pod




%changelog
* Sat Sep 20 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.200-1mdv2009.0
+ Revision: 286092
- new release (no changes, just tagged as stable)

* Mon Sep 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.193-1mdv2009.0
+ Revision: 282631
- new release
- new release
- new release

* Sat Jul 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.190-1mdv2009.0
+ Revision: 231999
- update to new version 1.190

* Tue Jun 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.183-1mdv2009.0
+ Revision: 214512
- update to new version 1.183

* Tue Apr 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.182-2mdv2009.0
+ Revision: 194017
- bump require on ExtUtils::Depends
- new release

* Mon Mar 10 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.180-1mdv2008.1
+ Revision: 183823
- new release

* Tue Feb 26 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.174-1mdv2008.1
+ Revision: 175186
- new release

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.173-1mdv2008.1
+ Revision: 166533
- new release

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.172-2mdv2008.1
+ Revision: 151254
- rebuild for perl-5.10.0

* Thu Jan 10 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.172-1mdv2008.1
+ Revision: 147562
- new release (perl 5.10.0 ready)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.171-1mdv2008.1
+ Revision: 132391
- new release
- kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.170-1mdv2008.1
+ Revision: 104186
- new release

* Mon Oct 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.161-1mdv2008.1
+ Revision: 98586
- new release

* Tue Sep 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.160-1mdv2008.0
+ Revision: 92702
- new release (no change, just tagged as stable)

* Mon Aug 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.153-1mdv2008.0
+ Revision: 62751
- new release

* Mon Jul 30 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.152-1mdv2008.0
+ Revision: 56551
- new release

* Mon Jun 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.151-1mdv2008.0
+ Revision: 44012
- new release


* Tue Mar 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.144-2mdv2007.1
+ Revision: 146880
- split out doc

* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.144-1mdv2007.1
+ Revision: 126590
- new release

* Mon Feb 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.143-1mdv2007.1
+ Revision: 122773
- new release

* Tue Dec 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.142-1mdv2007.1
+ Revision: 91066
- new release

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.141-1mdv2007.1
+ Revision: 86820
- Import perl-Glib

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.141-1mdv2007.1
- new release

* Wed Sep 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.140-1mdv2007.0
- new release

* Fri Aug 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.132-1mdv2007.0
- new release

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.131-1mdv2007.0
- new release

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.120-1mdk
- new release

* Wed Mar 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.117-1mdk
- new release

* Tue Feb 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.116-1mdk
- new release

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.115-1mdk
- new release

* Tue Jan 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.114-1mdk
- new release
- drop patch 0 (merged upstream)

* Wed Jan 11 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.113-2mdk
- Patch1: avoid nasty pointer to int cast on x86_64

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.113-1mdk
- new release

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.111-1mdk
- new release

* Thu Oct 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.101-1mdk
- New release 1.101

* Sun Oct 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.100-1mdk
- new release

* Fri Jun 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.082-1mdk
- new release

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.081-1mdk
- new release

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.080-1mdk
- new stable release

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.074-1mdk
- new release

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.073-1mdk
- new release

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.072-1mdk
- new release

* Thu Dec 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-2mdk
- rebuild for new glib

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-1mdk
- new release

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.070-2mdk
- Rebuild for new perl

* Wed Nov 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.070-1mdk
- new release

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.054-1mdk
- new release

* Tue Aug 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.053-1mdk
- new release

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.052-1mdk
- new release

* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.051-1mdk
- new release

* Fri Jun 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.050-1mdk
- new release

* Thu May 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-2mdk
- bump requires

* Wed Apr 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-1mdk
- new release

* Sat Apr 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.041-1mdk
- new release

* Sat Apr 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-2mdk
- link with glib-2.4.x

* Wed Mar 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-1mdk
- new release

